All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
tql.cpp File Reference
`#include <iostream>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/linalg/tql2.hpp"`

Go to the source code of this file.

## Macros

#define | EPS 10.0e-5

## Typedefs

typedef float | ScalarType

## Functions

template<typename MatrixLayout >
bool | test_eigen_val_vec (viennacl::matrix< ScalarType, MatrixLayout > &Q, std::vector< ScalarType > &eigenvalues, std::vector< ScalarType > &d, std::vector< ScalarType > &e)
template<typename MatrixLayout >
void | test_qr_method_sym ()
int | main ()

## Detailed Description

Tests the tql algorithm for eigenvalue computations for symmetric tridiagonal matrices.

Test:
  Tests the tql algorithm for eigenvalue computations for symmetric tridiagonal matrices.

Definition in file tql.cpp.

## Macro Definition Documentation

#define EPS 10.0e-5

Definition at line 39 of file tql.cpp.

## Typedef Documentation

typedef float ScalarType

Definition at line 42 of file tql.cpp.

## Function Documentation

int main | ( |  | ) |

Definition at line 119 of file tql.cpp.

template<typename MatrixLayout >

bool test_eigen_val_vec | ( | viennacl::matrix< ScalarType, MatrixLayout > & | Q,
|  | std::vector< ScalarType > & | eigenvalues,
|  | std::vector< ScalarType > & | d,
|  | std::vector< ScalarType > & | e
| ) |  |

Definition at line 50 of file tql.cpp.

template<typename MatrixLayout >

void test_qr_method_sym | ( |  | ) |

Test the tql2 algorithm for symmetric tridiagonal matrices.

Definition at line 87 of file tql.cpp.